
SELinux - Bug #6316

Break up foreman, puppetmaster and passenger domains

06/20/2014 01:40 PM - Lukas Zapletal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently due to limitations of older versions of passenger, we run both foreman and puppetmaster under passenger_t domain. Also

we modify passenger policy from selinux core a bit to fix few bugs.

We would like to introduce wrapper scripts and start both foreman and puppetmaster passenger processes under their own domains.

Part of this effort is to work with selinux team to backport this to RHEL6. They should be able to help us with this since passenger is

not currently in RHEL6 (only older version 3.0 in EPEL6), but the policy is present. We might be asked to bump passenger version in

EPEL6 first to version 4.0 which allows us to do the wrapping trick.

This task will need some time to test this in foreman community, fedora community and in RHEL6 too.

Related issues:

Related to Installer - Bug #3080: Installing puppetmaster with passenger with... Closed

History

#1 - 06/20/2014 01:41 PM - Lukas Zapletal

- Related to Bug #3080: Installing puppetmaster with passenger without foreman causes AVC denials added

#2 - 06/20/2014 01:41 PM - Lukas Zapletal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1111567

#3 - 07/07/2014 06:46 AM - Lukas Zapletal

- Target version set to 1.8.1

Github integration! Whooo.

#4 - 07/07/2014 07:24 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#5 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#6 - 08/07/2014 07:29 AM - Lukas Zapletal

- Target version deleted (1.7.5)

Moving this off the sprint, I want to work on that later.

#7 - 08/07/2014 07:29 AM - Lukas Zapletal

Reminder: The packaging part is here: https://github.com/theforeman/foreman-packaging/pull/275

#8 - 08/27/2014 09:56 AM - Lukas Zapletal
https://github.com/theforeman/foreman-packaging/pull/275


- Bugzilla link deleted (1111567)

Removing the blocker Satellite 6.0.4 bugzilla from this refactoring effort. This will be done asynchronously since the amount of changes and risk is

high.

#9 - 05/27/2020 08:22 AM - Lukas Zapletal

- Status changed from New to Resolved

I am doing a cleanup of old SELinux bug reports. We are removing puppetmaster policy based on passenger_t, most of these bugs were related to

that.
